Page MenuHomeFreeBSD

sysutils/vzvol: Update to 0.7.0
ClosedPublic

Authored by rainbow_purlinux.org on Jun 8 2018, 6:22 PM.

Details

Summary

This update brings vzvol up to upstream version 0.7.0, adds the new manpage, and moves vzvol to PREFIX/sbin, where it belongs

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat added inline comments.Jun 9 2018, 7:53 AM
sysutils/vzvol/Makefile
48 ↗(On Diff #43467)

This should go in do-install, man pages should always be installed, and not be dependant on documentation.

sysutils/vzvol/pkg-plist
1 ↗(On Diff #43467)

move to sbin?

sysutils/vzvol/Makefile
48 ↗(On Diff #43467)

Ah, alright. Wasn't aware of that. Thanks :)

sysutils/vzvol/pkg-plist
1 ↗(On Diff #43467)

Whoops, forgot about that! I've been sick as a dog all week, not all here at the moment.
Thanks!

sysutils/vzvol: Update to 0.7.0
Resolved incorrect location in pkg-plist for vzvol
Resolved direct use of /usr/local, substituted for ${PREFIX}
Moved manpage installation to correct part of install process

rainbow_purlinux.org marked 4 inline comments as done.Jun 9 2018, 5:59 PM
mat added a comment.Jun 11 2018, 7:19 AM

The plist is not sorted properly.

pi added a reviewer: pi.Jun 13 2018, 6:04 AM
pi added a subscriber: pi.

testbuilds@work

krion accepted this revision.Jun 13 2018, 8:18 AM
krion added a subscriber: krion.

lgtm

This revision is now accepted and ready to land.Jun 13 2018, 8:18 AM
pi accepted this revision.Jun 13 2018, 2:21 PM

testbuilds are fine.

This revision was automatically updated to reflect the committed changes.